org.apache.tinkerpop.gremlin.tinkergraph.structure

## Class TinkerIoRegistry

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.AbstractIoRegistry
  - - org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerIoRegistry

- All Implemented Interfaces:
    IoRegistry

  Deprecated.
  As of release 3.2.4, replaced by `TinkerIoRegistryV1d0`.

      @Deprecated
      public final class TinkerIoRegistry
      extends AbstractIoRegistry

  An implementation of the `IoRegistry` interface that provides serializers with custom configurations for implementation specific classes that might need to be serialized. This registry allows a `TinkerGraph` to be serialized directly which is useful for moving small graphs around on the network.

  Most providers need not implement this kind of custom serializer as they will deal with much larger graphs that wouldn't be practical to serialize in this fashion. This is a bit of a special case for TinkerGraph given its in-memory status. Typical implementations would create serializers for a complex vertex identifier or a custom data class like a "geographic point".
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TinkerIoRegistry` | `getInstance()` Deprecated. As of release 3.2.4, replaced by `instance()`.
    `static TinkerIoRegistry` | `instance()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.io.AbstractIoRegistry

      `find, find, register`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          @Deprecated
          public static TinkerIoRegistry getInstance()

      Deprecated. As of release 3.2.4, replaced by `instance()`.

    - #### instance

          public static TinkerIoRegistry instance()

      Deprecated.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.